$( document ).ready(function() {
    $(".getProchainPassageLigneRequest").on("click", function(e){
        e.stopPropagation();
        var ligne = $("#timeo_ligne").val();

        if(ligne == "0"){
            alert("Vous devez choisir une ligne");
            return;
        }

        $(".formProchainPassageLigneRequest input[name='ligne_sens']").val(ligne);
        $(".formProchainPassageLigneRequest").submit();
        return false;
    });

    $("#timeo_codearret").keyup(function (e) {
        if (e.keyCode == 13) {
            $(".getProchainPassageCodeRequest").trigger("click");
        }
    });
    $(".getProchainPassageCodeRequest").on("click", function(e){
        e.stopPropagation();
        var code_arret = $("#timeo_codearret").val();

        if(code_arret == ""){
            alert("Vous devez saisir un code arrêt");
            return;
        }

        $(".formProchainPassageCodeRequest input[name='code_arret']").val(code_arret);
        $(".formProchainPassageCodeRequest").submit();
        return false;
    });
    $("#timeo_nomarret").keyup(function (e) {
        if (e.keyCode == 13) {
            $(".getProchainPassageArretNameRequest").trigger("click");
        }
    });
    $(".getProchainPassageArretNameRequest").on("click", function(e){
        e.stopPropagation();
        var arret = $("#timeo_nomarret").val();

        if(arret == ""){
            alert("Vous devez saisir un arrêt");
            return;
        }

        $(".formProchainPassageArretNameRequest input[name='arret']").val(arret);
        $(".formProchainPassageArretNameRequest").submit();
        return false;
    });

});